Vsan Site Maintenance System Vsan Perform Site Maintenance Precheck

Vsan Site Maintenance System Vsan Perform Site Maintenance Precheck
Initiates a precheck to determine if the target fault domain can enter maintenance mode.

Initiates a precheck to determine if the target fault domain can enter maintenance mode.

The precheck performs a health check and a "what-if" query to assess the impact on cluster resources (objects, VMs) once the proposed maintenance action is executed. Only one precheck should run in a vSAN cluster at a time.

Required privileges: System.Read

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanPerformSiteMaintenancePrecheck
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanSiteMaintenanceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "cluster": {},
    "spec": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "spec": {
        "_typeName": "string",
        "faultDomainName": "string"
    }
}
cluster
Required

The cluster on which to run the precheck.

Required privileges: Host.Config.Maintenance

spec
Required

The specification of the queried fault domain maintenance action.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotSupported: if run directly on an ESX Server host.

ManagedObjectNotFound: If the cluster cannot be found.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}","spec":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanSiteMaintenanceSystem/{moId}/VsanPerformSiteMaintenancePrecheck